package com.jscape.util.net.connection;

import com.jscape.util.io.DataCodec;

/**
 * @author Alex Usun
 */
public interface MessageCodecConnection<M>
        extends MessageConnection<M> {

    DataCodec<M> messageCodec();

    void messageCodec(DataCodec<M> value);

}
